/*
 * $Id: NdviProcessorMain.java,v 1.2 2005/03/23 18:20:20 hartmut Exp $
 *
 * Copyright (C) 2004 by Brockmann Consult (info@brockmann-consult.de)
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation. This program is distributed in the hope it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package com.bc.beam.processor.ndvi;


import org.esa.beam.framework.processor.ProcessorRunner;
import com.bc.beam.visat.NdviProcessorVPI;

/**
 * This class is the entry point for the BEAM examples Ndvi Processor when invoked from
 * the command line. The command line arguments that can be understood by the processor are:
 * <ul>
 *  <li>-i or --interactive (optional): open the user interface for this Ndvi Processor</li>
 *  <li>-d or --debug (optional): swicth the BEAM framework into debugging mode. This will give a wealth of
 * additional state information logged to the console window</li>
 *  <li>the path to a request file (mandatory)</li>
 * </ul>
 */
public class NdviProcessorMain {

    /**
     * Runs this module as stand-alone application
     * @param args the command-line arguments
     */
    public static void main(String[] args) {
        ProcessorRunner.runProcessor(args, new NdviProcessor(), NdviProcessorVPI.HELPSET_PATH, NdviProcessorVPI.HELP_ID);
    }
}
