/*
 * $Id: NdviProcessorVPI.java,v 1.2 2005/03/23 18:20:20 hartmut Exp $
 *
 * Copyright (C) 2004 by Brockmann Consult (info@brockmann-consult.de)
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation. This program is distributed in the hope it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package com.bc.beam.visat;

import com.bc.beam.processor.ndvi.NdviProcessor;
import org.esa.beam.framework.processor.Processor;
import org.esa.beam.visat.AbstractProcessorPlugIn;

public class NdviProcessorVPI extends AbstractProcessorPlugIn {

    public static final String HELP_ID = "NDVIProcessorPlugIn";
    public static final String HELPSET_PATH = "com/bc/beam/processor/ndvi/help/NdviProcessor.hs";

    /**
     * Retrieves the description for the processor menu item
     */
    protected String getMenuDescription() {
        return "Invoke the NDVI Proessor Plugin.";
    }

    /**
     * Retrieves the mnemonic of the processor menu item
     */
    protected int getMnemonic() {
        return 'N';
    }

    /**
     * Retrieves the menu item text
     */
    protected String getMenuText() {
        return "NDVI Processor...";
    }

    /**
     * Retrieves the parent menu where the processor likes to be inserted
     */
    protected String getParent() {
        return "tools";
    }

    /**
     * Retrieves the name of the command
     */
    protected String getCommandName() {
        return "NDVIProcessorPlugIn";
    }

    /**
     * Retrieves the help id of the command
     */
    protected String getHelpId() {
        return HELP_ID;
    }

    /**
     * Retrieve the processor of the derived class
     */
    protected Processor createProcessor() {
        return new NdviProcessor();
    }

    /**
     * Retrieves the <code>placeAfter</code> value for the processor menu item
     */
    protected String getPlaceAfter() {
        return "Binning";
    }

    /**
     * Retrieves the <code>placeBefore</code> value for the processor menu item
     */
    protected String getPlaceBefore() {
        return null;
    }

    protected String getHelpsetPath() {
        return HELPSET_PATH;
    }
}

